package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/8/16 0016
 */
public class CloudStudyStudentDataDto {

    private Integer organId;

    @ApiModelProperty("分部名称")
    private String organName;

    @ApiModelProperty("注册学员总数")
    private int totalStudentNum;
    
    @ApiModelProperty("有效学员总数")
    private int effectiveStudentNum; 

    @ApiModelProperty("付费会员数")
    private int vipStudentNum;
    
	private int effectiveVipStudentNum;
	
	private int waitActivateVipStudentNum;

    @ApiModelProperty("试用会员数")
    private int eVipStudentNum;

    @ApiModelProperty("付费会员占比")
    private float vipStudentDuty;

    @ApiModelProperty("云教练使用人数")
    private int cloudStudyUseStudentNum;

    @ApiModelProperty("云教练今日使用人数")
    private int cloudStudyTodayUseStudentNum;

    @ApiModelProperty("云教练使用人数占比")
    private float cloudStudyUseStudentDuty;

    @ApiModelProperty("活跃人数")
    private int cloudStudyLivelyStudentNum;

    @ApiModelProperty("云教练新增人数")
    private int newCloudStudyStudentNum;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public int getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(int totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public int getVipStudentNum() {
        return vipStudentNum;
    }

    public void setVipStudentNum(int vipStudentNum) {
        this.vipStudentNum = vipStudentNum;
    }

    public int geteVipStudentNum() {
        return eVipStudentNum;
    }

    public void seteVipStudentNum(int eVipStudentNum) {
        this.eVipStudentNum = eVipStudentNum;
    }

    public float getVipStudentDuty() {
        return vipStudentDuty;
    }

    public void setVipStudentDuty(float vipStudentDuty) {
        this.vipStudentDuty = vipStudentDuty;
    }

    public int getCloudStudyUseStudentNum() {
        return cloudStudyUseStudentNum;
    }

    public void setCloudStudyUseStudentNum(int cloudStudyUseStudentNum) {
        this.cloudStudyUseStudentNum = cloudStudyUseStudentNum;
    }

    public float getCloudStudyUseStudentDuty() {
        return cloudStudyUseStudentDuty;
    }

    public void setCloudStudyUseStudentDuty(float cloudStudyUseStudentDuty) {
        this.cloudStudyUseStudentDuty = cloudStudyUseStudentDuty;
    }

    public int getCloudStudyTodayUseStudentNum() {
        return cloudStudyTodayUseStudentNum;
    }

    public void setCloudStudyTodayUseStudentNum(int cloudStudyTodayUseStudentNum) {
        this.cloudStudyTodayUseStudentNum = cloudStudyTodayUseStudentNum;
    }

    public int getCloudStudyLivelyStudentNum() {
        return cloudStudyLivelyStudentNum;
    }

    public void setCloudStudyLivelyStudentNum(int cloudStudyLivelyStudentNum) {
        this.cloudStudyLivelyStudentNum = cloudStudyLivelyStudentNum;
    }

    public int getNewCloudStudyStudentNum() {
        return newCloudStudyStudentNum;
    }

    public void setNewCloudStudyStudentNum(int newCloudStudyStudentNum) {
        this.newCloudStudyStudentNum = newCloudStudyStudentNum;
    }

	public int getEffectiveVipStudentNum() {
		return effectiveVipStudentNum;
	}

	public void setEffectiveVipStudentNum(int effectiveVipStudentNum) {
		this.effectiveVipStudentNum = effectiveVipStudentNum;
	}

	public int getWaitActivateVipStudentNum() {
		return waitActivateVipStudentNum;
	}

	public void setWaitActivateVipStudentNum(int waitActivateVipStudentNum) {
		this.waitActivateVipStudentNum = waitActivateVipStudentNum;
	}

	public int getEffectiveStudentNum() {
		return effectiveStudentNum;
	}

	public void setEffectiveStudentNum(int effectiveStudentNum) {
		this.effectiveStudentNum = effectiveStudentNum;
	}
}
